package ${basePackage!}.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdNotDataEntity;
<#--import javax.persistence.*;-->
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with ${author!} on ${.now}.
*/
<#--@Entity-->
@Data
<#--@NoArgsConstructor
@AllArgsConstructor-->
@TableName("${table.tableName!}")
public class ${table.entityName!}  extends CyIdNotDataEntity<${table.entityName!}> {

    <#assign index = 0>
    <#list table.columnModels as item>
        <#if item.columnNameLowerCamel!='businessId'>
     /**
     * @desc ${item.remarks!}
     * @column ${item.colName!}
     * @default ${item.defaultValue!}
     */
            <#if (item.remarks == "")>
                <#assign name = (item.columnNameLowerCamel)>
            <#else>
                <#assign name = (item.remarks)>
            </#if>
     @Excel(name = "${name!}", orderNum = "${index}", width = 20)
     private ${item.javaType!} ${item.columnNameLowerCamel!};
            <#assign index = index + 1>
        </#if>
    </#list>


}

